int f( int formal1, formal2, formal3, formal4; )
	begin
		int local1, local2, local3, local4;
		local1 = formal1;
		local2 = formal2;
		local3 = formal3;
		local4 = formal4;
		println( "local1 = " + local1 );
		println( "local2 = " + local2 );
		println( "local3 = " + local3 );
		println( "local4 = " + local4 );
		return 1234;
	end
int actual1, actual2, actual3, actual4;
actual1 = 1;
actual2 = 2;
actual3 = 3;
actual4 = 4;
int result;
result = f( actual1, actual2, actual3, actual4 );
println( "result = " + result );
